oat_processParamSubsets <-
function(FILEPATH,PARAMETERS,PMIN,PMAX,PINC,NUMRUNSPERSAMPLE,MEASURES,OUTPUTCOLSTART,OUTPUTCOLEND,RESULTSFILENAME,ALTERNATIVEFILENAME,MEDIANSFILENAME)
{
	# CREATE THE MEDIAN DISTRIBUTION OVER THE SET OF RUNS FOR EACH PARAMETER SET, FOR EACH PARAMETER (AS THIS IS ONE AT A TIME)
	# LIKE ALL THE OTHER FUNCTIONS, USES MEDIANFUNCTIONS.R TO CREATE THIS

	for(PARAM in 1:length(PARAMETERS))
	{
		# SET THE VALUE TO ITS LOWEST LIMIT
		PARAMVAL<-PMIN[PARAM]
		
		# NOW WORK UPWARDS UNTIL THE UPPER LIMIT IS HIT FOR THIS PARAMETER
		while(PARAMVAL<=PMAX[PARAM])
		{
			# CREATE THE START OF THE FILE ADDRESS WHERE THE RESULTS FOR THIS PARAMETER ARE
			SAMPLEFILEPATH <- paste(FILEPATH,"/",PARAMETERS[PARAM],"/",toString(PARAMVAL),"/",sep="")

			RESULTS<-NULL

			# NOW CALL THE MEDIAN FUNCTIONS METHOD TO GET THE DISTRIBUTION FOR THIS SET OF RUNS
			getMediansSubset(SAMPLEFILEPATH,NUMRUNSPERSAMPLE,OUTPUTCOLSTART,OUTPUTCOLEND,MEASURES,RESULTSFILENAME,ALTERNATIVEFILENAME,MEDIANSFILENAME)

			PARAMVAL<-PARAMVAL+PINC[PARAM]
		}
	}
}

